<?php

session_start();
$usuario=$_SESSION['rut'];

date_default_timezone_set('America/Santiago');
$id_norma_detalle = $_REQUEST['id_norma_detalle'];
$folio_planilla = $_REQUEST['folio_planilla'];
$planilla_huerto_detalle_id = $_REQUEST['planilla_huerto_detalle_id'];
$sincro = $_REQUEST['sincro'];

$sincro2='';
if($sincro=='N'){
	$sincro2='NE';
}else if($sincro=='NE'){
	$sincro2='NE';
}else if($sincro=='S'){
	$sincro2='E';
}else if($sincro=='E'){
	$sincro2='E';
}

if(isset($_REQUEST['cuartel'])){
	$cuartel=$_REQUEST['cuartel'];
}else{
	$cuartel="";
}
if(isset($_REQUEST['observacion'])){
	$observacion=$_REQUEST['observacion'];
}else{
	$observacion="";
}

    
    
    
    
    
    


include '../../conexion/conn.php';

$rs = mysql_query("SELECT * FROM norma_detalle WHERE id_norma_detalle='$id_norma_detalle'");
if($row = mysql_fetch_array($rs)){
	$norma_id=$row['norma_id'];
	$defecto_id=$row['defecto_id'];
	$norma_det_valor_tipo=$row['norma_det_valor_tipo'];
	$norma_det_valor1=$row['norma_det_valor1'];
	$norma_det_valor2=$row['norma_det_valor2'];
	$norma_det_valor3=$row['norma_det_valor3'];
	$norma_det_valor4=$row['norma_det_valor4'];
}

$valor2_ingresado="";


if($norma_det_valor_tipo=="NUMERICO TEXTO" || $norma_det_valor_tipo=="TEXTO" || $norma_det_valor_tipo=="OBSERVACION"){
	$valor1_ingresado = $_REQUEST['valor1_ingresado'];
	$cumple_norma="VERDE";

}else if($norma_det_valor_tipo=="NUMERICO MENOR MAYOR"){
	$valor1_ingresado = $_REQUEST['valor1_ingresado'];
	if($valor1_ingresado>=$norma_det_valor1 && $valor1_ingresado<$norma_det_valor2){
		$cumple_norma="VERDE";
	}else if($valor1_ingresado>=$norma_det_valor2 && $valor1_ingresado<=$norma_det_valor3){
		$cumple_norma="AMARILLO";
	}else if($valor1_ingresado<$norma_det_valor1 || $valor1_ingresado>$norma_det_valor3){
		$cumple_norma="ROJO";
	}
}else if($norma_det_valor_tipo=="NUMERICO MAYOR MENOR"){
	$valor1_ingresado = $_REQUEST['valor1_ingresado'];
	if($valor1_ingresado<=$norma_det_valor1 && $valor1_ingresado>$norma_det_valor2){
		$cumple_norma="VERDE";
	}else if($valor1_ingresado<=$norma_det_valor2 && $valor1_ingresado>=$norma_det_valor3){
		$cumple_norma="AMARILLO";
	}else if($valor1_ingresado>$norma_det_valor1 || $valor1_ingresado<$norma_det_valor3){
		$cumple_norma="ROJO";
	}
}else if($norma_det_valor_tipo=="NUMERICO DOBLE RANGO"){
	$valor1_ingresado = $_REQUEST['valor1_ingresado'];
	if($valor1_ingresado>=$norma_det_valor2 && $valor1_ingresado<=$norma_det_valor3){
		$cumple_norma="VERDE";
	}else if($valor1_ingresado>=$norma_det_valor1 && $valor1_ingresado<$norma_det_valor2){
		$cumple_norma="AMARILLO";
	}else if($valor1_ingresado>$norma_det_valor3 && $valor1_ingresado<=$norma_det_valor4){
		$cumple_norma="AMARILLO";
	}else if($valor1_ingresado<$norma_det_valor1 || $valor1_ingresado>$norma_det_valor4){
		$cumple_norma="ROJO";
	}
}else if($norma_det_valor_tipo=="CHECK SINO"){
	if(isset($_REQUEST['valor1_ingresado'])){
	    $valor1_ingresado="SI";
	    $cumple_norma="VERDE";
	}else{
		$valor1_ingresado="NO";
	    $cumple_norma="ROJO";
	}
	
}else if($norma_det_valor_tipo=="CHECK BUENO MALO"){
	if(isset($_REQUEST['valor1_ingresado'])){
	    $valor1_ingresado="BUENO";
	    $cumple_norma="VERDE";
	}else{
		$valor1_ingresado="MALO";
	    $cumple_norma="ROJO";
	}
	
}else if($norma_det_valor_tipo=="SELLADO BOLSA"){
	$valor1_ingresado = $_REQUEST['valor1_ingresado']; //bolsas malas
	$valor2_ingresado = $_REQUEST['valor2_ingresado'];	//total bolsas revisadas

	$porcentaje_bolsas_malas=($valor1_ingresado*100)/$valor2_ingresado;

	$porcentaje_bolsas_buenas=100-$porcentaje_bolsas_malas;

	$valor1_ingresado=$porcentaje_bolsas_buenas;
	$valor1_ingresado=round( $porcentaje_bolsas_buenas, 1, PHP_ROUND_HALF_UP);

	if($porcentaje_bolsas_buenas<=$norma_det_valor1 && $porcentaje_bolsas_buenas>$norma_det_valor2){
		$cumple_norma="VERDE";
	}else if($porcentaje_bolsas_buenas<=$norma_det_valor2 && $porcentaje_bolsas_buenas>=$norma_det_valor3){
		$cumple_norma="AMARILLO";
	}else if($porcentaje_bolsas_buenas>$norma_det_valor1 || $porcentaje_bolsas_buenas<$norma_det_valor3){
		$cumple_norma="ROJO";
	}
}else{
	$valor1_ingresado = $_REQUEST['valor1_ingresado'];
	$cumple_norma="VERDE";
}


	$sql = "UPDATE planilla_huerto_detalle SET  
	valor1_ingresado='$valor1_ingresado', 
	valor2_ingresado=UPPER('$valor2_ingresado'),
	cumple_norma='$cumple_norma',
	cuartel='$cuartel',
	observacion='$observacion',
	sincro='$sincro2'
	WHERE planilla_huerto_detalle_id='$planilla_huerto_detalle_id'";
	$result = @mysql_query($sql);

	mysql_close();
	if ($result){
		echo "Datos Grabados";
	} else {
		echo "Se Han Producido Errores";
	}

?>